$:.push File.expand_path("../lib", __FILE__)

# Maintain your gem's version:
require 'ns_settings_ui/version'

# Describe your gem and declare its dependencies:
Gem::Specification.new do |s|
  s.name        = 'ns_settings_ui'
  s.version     = NsSettingsUi::VERSION
  s.platform    = Gem::Platform::RUBY
  s.authors     = ['Michal Krawczyk']
  s.email       = ['michal.krawczyk@u2i.com']
  s.homepage    = 'https://github.com/u2i/ns_settings_ui'
  s.summary     = 'NS Settings'
  s.description = 'Engine providing key-value settings stored in db with a web UI.'
  s.license     = 'MIT'

  s.files = `git ls-files -z`.split("\x0")
  s.test_files = Dir['spec/**/*']

  s.add_dependency 'rails', '>= 5.0', '< 7.0'

  s.add_development_dependency 'appraisal', '~> 2.3'
  s.add_development_dependency 'sqlite3', '~> 1.3'
  s.add_development_dependency 'rspec', '~> 3.4'
  s.add_development_dependency 'rspec-rails', '~> 4.0'
  s.add_development_dependency 'rspec-its', '~> 1.2'
  s.add_development_dependency 'database_cleaner', '~> 1.5'
  s.add_development_dependency 'u2i-ci_utils', '~> 2.0'
  s.add_development_dependency 'bundler', '> 1.17'
  s.add_development_dependency 'rake', '~> 12.3.3'
  s.add_development_dependency 'test-unit', '~> 3.1'
  s.add_development_dependency 'rubocop-rspec', '~> 1.4.1'
  s.add_development_dependency 'sass', '~> 3.4'
  s.add_development_dependency 'sprockets', '~> 3.7.2'
  s.add_development_dependency 'rails-controller-testing'

  s.add_development_dependency 'guard', '~> 2.13'
  s.add_development_dependency 'guard-rspec', '~> 4.6'
  s.add_development_dependency 'guard-rubocop', '~> 1.2'
  s.add_development_dependency 'ruby_dep', '~> 1.3.1'
  s.add_development_dependency 'listen', '~> 3.0.0'
end
