require 'spec_helper'

RSpec.describe NsSettingsUi::ApplicationHelper, type: :helper do
  describe '#url_for' do
    subject { helper.url_for(url_params) }

    context 'on self route' do
      let(:url_params) { NsSettingsUi::Engine.routes.url_helpers.settings_path }
      it { is_expected.to eq('/ns_settings_ui/settings') }
    end

    context 'on main application route' do
      let(:url_params) { {controller: '/home'} }
      it { is_expected.to eq('/home') }
    end

    context 'on incorrect route' do
      let(:url_params) { {controller: 'non-existing-controller', action: 'index'} }
      let(:error_class) do
        Rails::VERSION::MAJOR <= 3 ? ActionController::RoutingError : ActionController::UrlGenerationError
      end
      it { expect { subject }.to raise_error(error_class) }
    end
  end
end
