require 'spec_helper'

RSpec.describe NsSettingsUi::SettingsHelper, type: :helper do
  describe '.setting_value_class' do
    let(:setting) { NsSettingsUi::Setting.create(key: 'matching.cluster_size', value: value, default_value: '5') }

    subject { helper.setting_value_class(setting) }

    context 'when value is empty' do
      let(:value) { '' }

      it { is_expected.to eq('alert-danger') }
    end

    context 'when value is different than default' do
      let(:value) { '10' }

      it { is_expected.to eq('alert-warning') }
    end

    context 'when value is default' do
      let(:value) { '5' }

      it { is_expected.to eq('') }
    end
  end
end
