# this needs to be before requiring other formatters
RSpec.configure(&:raise_errors_for_deprecations!)

require 'rubygems'
require File.expand_path('../dummy/config/environment', __FILE__)
require 'rails'
require 'rspec/rails'

# This file is copied to spec/ when you run 'rails generate rspec:install'
ENV['RAILS_ENV'] ||= 'test'

require 'u2i/ci_utils/coverage'
Rails.application.eager_load! if ENV['COVERAGE']

# This code will be run each time you run your specs.
RSpec.configure do |config|
  # == Mock Framework
  #
  # If you prefer to use mocha, flexmock or RR, uncomment the appropriate line:
  #
  # config.mock_with :mocha
  # config.mock_with :flexmock
  # config.mock_with :rr
  config.mock_with :rspec
  config.order = 'random'

  config.before(:suite) do
    DatabaseCleaner.strategy = :truncation
  end
  config.before(:example) do
    DatabaseCleaner.start
    ActionMailer::Base.deliveries.clear
  end
  config.after(:example) do
    DatabaseCleaner.clean
  end
end
